<!-- <h2> Welcome to dashboard <b><%= current_user&.email %></b> </h1>
 --><%#= link_to 'Create Project', new_project_path%>
<%#= link_to 'Create Task', new_task_path%>

<% if current_user.manager? %>

<% else %>
<% end %>
<h3>Projects</h3>

<div>
  <h3>1. Developer wise task Details</h3>

  <table border=1>
    <thead>
      <th>
        Status
      </th>
      <% @developer_tasks.each do |key, val| %>
        <th>
          <%= "#{val['name']}" %>
        </th>
      <%end%>
    </thead>
    <tbody>
      <% @status_hash.each do |status, status_val| %>
        <tr>
          <th>
            <%= status_val %>
          </th>
          <% @developer_tasks.each do |key, val|%>
            <td>
              <% val[status.to_s].each do |task|%>
                <div>
                  <%= link_to task.name, edit_task_path(task) %>
                </div>
              <% end %>
            </td>
          <% end %>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>

<div>
  <h3>2. Project wise task Details</h3>

  <table border=1>
    <thead>
      <th>
        Status
      </th>
      <% @project_tasks.each do |key, val| %>
        <th>
          <%= "#{val['name']}" %>
        </th>
      <%end%>
    </thead>
    <tbody>
      <% @status_hash.each do |status, status_val| %>
        <tr>
          <th>
            <%= status_val %>
          </th>
          <% @project_tasks.each do |key, val|%>
            <td>
              <% val[status.to_s].each do |task|%>
                <div>
                  <%= link_to task.name, edit_task_path(task) %>
                </div>
              <% end %>
            </td>
          <% end %>
        </tr>
      <% end %>
    </tbody>
  </table>
</div>
<div>
  <h3>3. Pie chart</h3>
  <div id="chart_div"></div>
</div>
<script type="text/javascript">
  $(document).ready(function() {
    google.charts.setOnLoadCallback(loadChart);
  });
</script>